# Configurations for soccerserver 
# Lines that start '#' are comment lines.

# width of goals (default 7.32)
goal_width		: 14.02

# size, decay, random parameter, weight, maximum speed of players
# (default 1.0, 0.5, 0.1, 60.0, 32.0)
player_size		: 0.3
player_decay		: 0.4
player_rand		: 0.1
player_weight		: 60.0
player_speed_max	: 1.0
player_accel_max	: 1.0

# maximum and recovery step of player's stamina (default 2500.0, 50.0)
stamina_max		: 4000.0
stamina_inc_max	: 4000.0
#stamina_inc_max	: 45.0

# decriment threshold ,decriment step and minimum of player's recovery
# (default 0.3, 0.05, 0.1)
recover_dec_thr	: 0.3
recover_dec		: 0.002
recover_min		: 0.5

# decriment threshold, decriment step, incriment threshold, incriment step
# and minimum of player's effort (default 0.4, 0.05, 0.9, 0.05, 0.1) 
effort_dec_thr		: 0.3
effort_dec		: 0.005
effort_inc_thr		: 0.6
effort_inc		: 0.01
effort_min		: 0.6

# maximum, recovery step and decay of player's hear capacity (default 2, 1, 1)
hear_max		: 2
hear_inc		: 1
hear_decay		: 2

# inertia moment of player (default 5.0)
inertia_moment	: 5.0

# interval of sense_body (default 100)
sense_body_step		: 100

# goalie catchable area length, width (default 2.0, 1.0)
catchable_area_l : 2.0
catchable_area_w : 1.0

# goalie catchbale probability (default 1.0)
catch_probability :	1.0

# goalie catch ban cycle (default 5)
catch_ban_cycle : 5 

# goalie max moves after catch (default 2)
goalie_max_moves : 2

# size, decay, random parameter, weight and maximum speed of a ball
# (default 0.15, 0.8, 0.2, 0.2, 32.0)
ball_size		: 0.085
ball_decay		: 0.94
ball_rand		: 0.05
ball_weight		: 0.2
ball_speed_max		: 2.7
ball_accel_max		: 2.7

# force, direction and random parameter of wind (default 10.0, 0.0, 0.3)
wind_force		: 0.0
wind_dir		: 0.0
wind_rand		: 0.0

# kickable margin (default 1.0) kickable_area = kickable_margin + bsize + psize
kickable_margin	: 0.7

# corner kick margin (default 1.0)
ckick_margin	: 1.0

# magnification of power in dash, kick  (default 0.1, 0.1)
dash_power_rate	: 0.006
kick_power_rate	: 0.027

# kick randomeness
kick_rand: 0.0

# angle of view corn [unit: degree] (default 90.0)
visible_angle	: 90.0

# audio cut off distance (default 50.0)
audio_cut_dist	: 50.0

# quantize step of distance for move_object, landmark (default 0.1, 0.01)
quantize_step		: 0.1
quantize_step_l		: 0.01

# max and min of power in dash and kick (default 100, -30)
maxpower		: 100
minpower		: -100

# max and min of power in turn (default 180, -180)
maxmoment		: 180
minmoment		: -180

# max and min of power in turn_neck (default 180,-180)
maxneckmoment	: 180
minneckmoment	: -180

# max and min of neck angle (default 90, -90)
maxneckang		: 90
minneckang		: -90

# Default port number (default 6000)
port			: 6000

# Default coach port number (default 6001)
coach_port		: 6001

# Default upper limit of the number of online coach's message (default 128)
say_coach_cnt_max		: 128

# Default upper limit of length of online coach's message (default 128)
say_coach_msg_size		: 128

# Parameters for the new coach language
# time wondow which controls how many messages can be sent
clang_win_size: 300
# number of messages per window
clang_define_win: 1
clang_meta_win: 1
clang_advice_win: 1
clang_info_win: 1
# delay between receipt of message and send to players
clang_mess_delay: 50
# maximum number of coach messages sent per cycle
clang_mess_per_cycle: 1

# Default interval of online coach's look (default 100)
send_vi_step			: 100

# time step of simulation [unit:msec] (default 100)
simulator_step	: 100

# time step of visual information [unit:msec] (default 150)
send_step		: 150

# time step of acception of command [unit: msec] (defalut 20)
recv_step		: 10

# length of half of game [unit:sec] (default 6000)
# (if negative, a game does not stop automatically)
half_time		: -1

# number of cycles to wait until dropping the ball automatically
# for free kicks, corner kicks and so on
# (0 means do not drop automatically)
drop_ball_time	: 200

# string size of say message [unit:byte] (default 256)
say_msg_size	: 512

# flag for using off side rule. [on/off] (default on)
use_offside		: off

# offside active area size (default 9.15)
offside_active_area_size	: 5

# forbid kick off offside. [on/off] (default on) 
forbid_kick_off_offside	: on

# flag for verbose mode. [on/off] (default off)
verbose			: off

# flag for record log. (default 2) 
# (old version 1)
record_version	: 3

# flag for record client command log. [on/off] (default off)
record_log		: on

# flag for send client command log. [on/off] (default on)
send_log		: on

# offside kick margin. (default 9.15)
offside_kick_margin	: 9.15

# flag for writing ms between cycles in log_file. [on/off] (defult off)
log_times		: off

#log_file: server.log

#record: record.log
#record_messages: on

#coach_w_referee

